import {  Component } from '@angular/core';



@Component({
  selector: 'app-data-entry',
  templateUrl: './data-entry.component.html',
  styleUrls: ['./data-entry.component.css'],
})


/**
 * Page to enter new articles
 */
export class DataEntryComponent  {

    //////////////////// Values of Selection inputs \\\\\\\\\\\\\\\\\\\\

  date = '';
  type = '';
  tonality = '';



  /* Values will be changed obviously .... */
  types: string[] = [
    'Alabama', 'Alaska', 'Arizona', 'Arkansas', 'California', 'Colorado', 'Connecticut', 'Delaware',
    'Florida', 'Georgia', 'Hawaii', 'Idaho', 'Illinois', 'Indiana', 'Iowa', 'Kansas', 'Kentucky',
    'Louisiana', 'Maine', 'Maryland', 'Massachusetts', 'Michigan', 'Minnesota', 'Mississippi',
    'Missouri', 'Montana', 'Nebraska', 'Nevada', 'New Hampshire', 'New Jersey', 'New Mexico',
    'New York', 'North Carolina', 'North Dakota', 'Ohio', 'Oklahoma', 'Oregon', 'Pennsylvania',
    'Rhode Island', 'South Carolina', 'South Dakota', 'Tennessee', 'Texas', 'Utah', 'Vermont',
    'Virginia', 'Washington', 'West Virginia', 'Wisconsin', 'Wyoming'
  ];


  /**
   * Empty form
   */
  public emptyInputs() {

      //////////////////// Reset selections \\\\\\\\\\\\\\\\\\\\

    this.date = '';
    this.type = '';
    this.tonality = '';

      //////////////////// Reset other inputs \\\\\\\\\\\\\\\\\\\\

    let inputs = document.querySelectorAll("input");
    for (let i = 0; i < inputs.length; i++) {
      if (inputs[i]){
        inputs[i].value = '';
      }
    }

  }

}



